package org.gcube.portlets.widgets.ckancontentmoderator.client;

import java.util.List;

import org.gcube.datacatalogue.utillibrary.shared.jackan.model.CkanDataset;
import org.gcube.portlets.widgets.ckancontentmoderator.server.ContentModeratorSystem.ItemStatus;

import com.google.gwt.user.client.rpc.AsyncCallback;

public interface CkanContentModeratorServiceAsync {

	void isContentModeratorEnabled(AsyncCallback<Boolean> callback);

	void approveItem(String itemId, AsyncCallback<Void> callback);

	void getListItemsForStatus(ItemStatus theStatus, AsyncCallback<List<CkanDataset>> callback);

	void permanentlyDelete(String itemId, AsyncCallback<Void> callback);

	void rejectItem(String itemId, boolean permanentlyDelete, String reasonMsg, AsyncCallback<Void> callback);

	void setStatus(String itemId, ItemStatus theStatus, AsyncCallback<Void> callback);

}
