package org.gcube.portlets.widgets.ckancontentmoderator.client;

import java.util.List;

import org.gcube.datacatalogue.utillibrary.shared.jackan.model.CkanDataset;
import org.gcube.portlets.widgets.ckancontentmoderator.server.ContentModeratorSystem.ItemStatus;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("greet")
public interface CkanContentModeratorService extends RemoteService {

	public boolean isContentModeratorEnabled();

	public void setStatus(String itemId, ItemStatus theStatus);

	public List<CkanDataset> getListItemsForStatus(ItemStatus theStatus);

	public void approveItem(String itemId);

	public void rejectItem(String itemId, boolean permanentlyDelete, String reasonMsg);

	public void permanentlyDelete(String itemId);

}
